Rename an upload batch (`name: null` clears it). Optional `If-Match`; a stale tag returns 412 PRECONDITION_FAILED.
PATCH
/v1/upload-batches/{batchId}curl -X PATCH 'https://api.embodiflow.io/v1/upload-batches/{batchId}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"name": "string"
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- batchIdstring必填
请求头参数
- If-Matchstring
Optional precondition. A matching tag proceeds and returns the new ETag. A stale tag returns 412 PRECONDITION_FAILED with no write. Absent proceeds (opt-in this release). If-Match: * succeeds when the resource exists. Malformed values return 400 IF_MATCH_INVALID.
请求体
Content-Typeapplication/json
- namestring | null必填
响应
Success
- dataobject必填
- idstring必填
- tenantIdstring必填
- projectIdstring必填
- datasetIdstring | null必填
- sourceTypestring必填
- statusstring必填
- namestring | null必填
- createdAtstring必填
- updatedAtstring必填
- lastActivityAtstring必填
- totalSessionsnumber
- completedSessionsnumber
- failedSessionsnumber
- datasetCountnumber
- latestDatasetPlanStatusstring | null
- materializationStatusstring | null
- latestRunobject | null必填
- failureobject必填
- processingRefusedobject | null
响应示例
{
"data": {
"id": "string",
"tenantId": "string",
"projectId": "string",
"datasetId": "string",
"sourceType": "string",
"status": "string",
"name": "string",
"createdAt": "string",
"updatedAt": "string",
"lastActivityAt": "string",
"totalSessions": 0,
"completedSessions": 0,
"failedSessions": 0,
"datasetCount": 0,
"latestDatasetPlanStatus": "string",
"materializationStatus": "string",
"latestRun": {
"id": "string",
"status": "string"
},
"failure": {
"code": "string",
"reason": "string",
"stepId": "string",
"stepName": "string",
"stepAlgorithm": {
"slug": "string",
"title": "string",
"official": false
},
"stepRunId": "string",
"runId": "string",
"stepErrorCode": "string"
},
"processingRefused": {
"code": "string"
}
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1